E: Invalid operation DPkg on omv-update

    • Resolved
    • E: Invalid operation DPkg on omv-update

      I tried to upgrade to version 1.0 but I have not succeeded.

      Following the instructions, by running:

      apt-get update && apt-get dist-upgrade && omv-update

      ends with the following error:

      Source Code

      1. Reading package lists ... Done
      2. E: Invalid operation DPkg :: Options :: = - force-confdef


      after:

      omv-release-upgrade

      ends with the following errors:

      Source Code

      1. ERROR: Site openmediavault-website does not exist!
      2. apache2: Syntax error on line 203 of /etc/apache2/apache2.conf: Could not open configuration file /etc/apache2/mods-enabled/authnz_external.load: No such file or directory
      3. Action 'configtest' failed.
      4. The Apache Error May Have More log information.
      5. failed!
      6. dpkg: error processing openmediavault-website (--remove):
      7. subprocess installed post-removal script returned error exit status 1
      8. configured to not write apport reports
      9. Processing triggers for openmediavault ...
      10. Restarting daemon engine ...
      11. Updating file permissions ...
      12. Updating locale files ...
      13. Errors Were Encountered while processing:
      14. openmediavault-website
      15. E: Sub-process / usr / bin / dpkg returned an error code (1)
      Display All


      Actually it has not been updated and still on 0.5.58.
      But now I not have webgui or ssh access

      For the first error I've tried to apply this solution Error with upgrade from 0.5.5x to 1.0: E: Invalid operation DPkg::Options::=--force-confdef but without success.

      Any ideas, steps to update (I'm quite newbie in linux)?
      OMV 3.0.99 (Erasmus)
      HP ProLiant G7 MicroServer N54L AMD Turion II / 4GB
      Kingston SSDNow 200 30GB (OS), 4 x WD red 2TB SATA3 (Data)

      The post was edited 1 time, last by eBomber ().

    • Have you tried this command?

      Source Code

      1. apt-get --yes --force-yes --fix-missing --auto-remove --allow-unauthenticated \--show-upgraded --option DPkg::Options::="--force-confold" \--option DPkg::Options::="--force-confdef" dist-upgrade
      OMV stoneburner | HP Microserver | 256GB Samsung 830 SSD for system | 4x 2TB in a RAID5
      OMV erasmus| Odroid XU4 | 5TB Data drive | 500GB Backup drive
    • Thanks WastIJ !

      If I remember right, I did it, but don't have the result now
      I try the command again and put the result.
      Now is a little more difficult because I can't access via SSH :(

      News:
      after a shutdown, boot into recovery mode and reboot again, now I'm running OMV and services: SSH, SMB, Plex, Transmission ... but no webgui
      I guess there is a problem with apache because I've seen an error like: could not open a configuration file ...


      I tried:

      Source Code

      1. apt-get --yes --force-yes --fix-missing --auto-remove --allow-unauthenticated \--show-upgraded --option DPkg::Options::="--force-confold" \--option DPkg::Options::="--force-confdef" dist-upgrade


      and I get this:

      Source Code

      1. root@OVMNAS:~# apt-get --yes --force-yes --fix-missing --auto-remove --allow-unauthenticated \--show-upgraded --option DPkg::Options::="--force-confold" \--option DPkg::Options::="--force-confdef" dist-upgrade
      2. Leyendo lista de paquetes... Hecho
      3. Creando árbol de dependencias
      4. Leyendo la información de estado... Hecho
      5. Calculando la actualización... Listo
      6. Los siguientes paquetes se ELIMINARÁN:
      7. openmediavault-website
      8. Se instalarán los siguientes paquetes NUEVOS:
      9. bash-completion bootlogd cpp-4.7 g++-4.7 gcc-4.7 libapt-inst1.5 libapt-pkg4.12 libbind9-80 libdbi1 libdns88
      10. libgd2-noxpm libglapi-mesa libicu48 libisc84 libisccc80 libisccfg82 libitm1 libjavascript-minifier-xs-perl libjbig0
      11. libjpeg8 liblockfile-bin liblwres80 libmpc2 libnl-3-200 libnl-genl-3-200 libpython2.7 libqt4-xml libqtdbus4
      12. libquadmath0 librtmp0 libssh2-1 libstdc++6-4.7-dev libsystemd-login0 libtdb1 libusb-1.0-0 libvpx1 libxcb-glx0
      13. linux-image-3.2.0-4-amd64 linux-image-amd64 nginx nginx-common nginx-full nut-client nut-server php5-fpm pm-utils
      14. powermgmt-base proftpd-mod-vroot python-apt-common python2.7 python2.7-minimal python3 python3-apt python3-minimal
      15. python3.2 python3.2-minimal rrdcached unzip
      16. Se actualizarán los siguientes paquetes:
      17. acl acpid anacron apache2 apache2-mpm-worker apache2-suexec apache2-utils apache2.2-bin apache2.2-common apt
      18. apt-utils avahi-daemon avahi-utils base-files base-passwd bash beep bind9-host bsd-mailx bsdutils busybox
      19. ca-certificates clamav-base clamav-daemon clamav-freshclam collectd collectd-core cpp cpufrequtils cron-apt dash
      20. dbus debconf-i18n debian-archive-keyring diffutils dpkg-dev e2fslibs e2fsprogs eject ethtool file findutils g++ gcc
      21. gdisk gnupg gpgv grep groff-base gzip hdparm hostname ifenslave-2.6 iptables iputils-ping isc-dhcp-client
      22. isc-dhcp-common jfsutils libapache2-mod-fcgid libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap libaudio2
      23. libavahi-client3 libavahi-common-data libavahi-common3 libavahi-core7 libbsd0 libcap-ng0 libclamav6 libcpufreq0
      24. libcrack2 libcrypt-passwdmd5-perl libcups2 libcurl3-gnutls libdpkg-perl libdrm2 libedit2 libgeoip1 libgl1-mesa-glx
      25. libidn11 libiw30 libjavascript-minifier-perl libjpeg62 libjson-perl liblcms1 liblockfile1 libltdl7 libmagic1 libmng1
      26. libnewt0.52 libnfnetlink0 libnl1 libnss-mdns libopts25 libossp-uuid16 libparted0debian1 libpopt0 libpython2.6
      27. libqdbm14 libqt4-network libqt4-opengl libqtcore4 libqtgui4 libreadline6 librpcsecgss3 librrd4 libss2 libsvga1
      28. libsysfs2 libtalloc2 libtiff4 libupsclient1 libusb-0.1-4 libwbclient0 libx86-1 libxcb-render-util0 libxcursor1
      29. libxdamage1 libxfixes3 libxinerama1 libxml2 libxmu6 libxslt1.1 libxt6 libxxf86vm1 linux-image-2.6-amd64 login
      30. logrotate lsb-release lsof makepasswd mawk mime-support monit mysql-common nano ncurses-base ncurses-bin net-tools
      31. netatalk ntp nut openmediavault openmediavault-clamav openmediavault-extplorer openmediavault-keyring
      32. openmediavault-netatalk openmediavault-omvextrasorg openmediavault-plexmediaserver openmediavault-transmissionbt
      33. openmediavault-usbbackup openssh-blacklist openssh-blacklist-extra openssh-client openssh-server parted patch
      34. php5-cgi php5-cli php5-common php5-pam php5-proctitle proftpd-basic psmisc python python-minimal python-support
      35. python2.6 python2.6-minimal quota quotatool rrdtool rsync samba samba-common samba-common-bin sdparm smartmontools
      36. snmpd socat sudo sysvinit tar tftpd-hpa usbutils user-setup uuid virtualbox-4.3 watchdog wget whiptail
      37. wireless-tools xfsprogs xmlstarlet xz-utils
      38. 197 actualizados, 58 se instalarán, 1 para eliminar y 0 no actualizados.
      39. 2 no instalados del todo o eliminados.
      40. Se necesita descargar 0 B/223 MB de archivos.
      41. Se utilizarán 235 MB de espacio de disco adicional después de esta operación.
      42. AVISO: ¡No se han podido autenticar los siguientes paquetes!
      43. base-files bash dash diffutils e2fslibs e2fsprogs findutils grep gzip hostname login ncurses-bin sysvinit tar
      44. base-passwd bsdutils ncurses-base libapt-inst1.5 apt-utils gpgv debian-archive-keyring libreadline6 libusb-0.1-4
      45. gnupg libapt-pkg4.12 apt libss2 libnewt0.52 libpopt0 mawk bash-completion libbsd0 libedit2 libidn11 liblockfile1
      46. liblockfile-bin file libmagic1 librpcsecgss3 libxt6 libaudio2 libavahi-common-data libavahi-common3 libavahi-client3
      47. libavahi-core7 libcups2 librtmp0 libssh2-1 libcurl3-gnutls libdrm2 libjpeg8 libgd2-noxpm libglapi-mesa libxcb-glx0
      48. libxfixes3 libxdamage1 libxxf86vm1 libgl1-mesa-glx libicu48 libitm1 libiw30 libjpeg62 liblcms1 libltdl7 libmng1
      49. libnl-3-200 libnl-genl-3-200 libnl1 libparted0debian1 libjbig0 libtiff4 libqt4-opengl libqtgui4 libqt4-network
      50. libqtcore4 libqt4-xml libqtdbus4 libquadmath0 libx86-1 libsvga1 libsysfs2 libtalloc2 libtdb1 libusb-1.0-0 libvpx1
      51. samba libwbclient0 samba-common libxcursor1 libxinerama1 libxml2 libxmu6 libxslt1.1 linux-image-3.2.0-4-amd64
      52. libopts25 ntp openssh-blacklist openssh-blacklist-extra libqdbm14 mime-support php5-cli php5-fpm php5-proctitle
      53. php5-pam php5-cgi psmisc lsof php5-common samba-common-bin python2.7-minimal python2.7 libpython2.7 virtualbox-4.3
      54. libmpc2 libsystemd-login0 libxcb-render-util0 groff-base libnfnetlink0 iptables iputils-ping isc-dhcp-client
      55. isc-dhcp-common anacron logrotate nano net-tools openmediavault-keyring wget whiptail debconf-i18n xz-utils
      56. libgeoip1 libisc84 libdns88 libisccc80 libisccfg82 libbind9-80 liblwres80 bind9-host bsd-mailx openssh-server
      57. openssh-client patch python-support python python-minimal libpython2.6 python2.6 python2.6-minimal acl acpid
      58. libaprutil1-ldap libaprutil1-dbd-sqlite3 libapr1 libaprutil1 apache2 apache2-mpm-worker apache2.2-common
      59. apache2.2-bin apache2-utils apache2-suexec dbus avahi-daemon avahi-utils beep bootlogd busybox ca-certificates
      60. libclamav6 clamav-freshclam clamav-base clamav-daemon collectd-core libdbi1 librrd4 collectd cpp-4.7 cpp libcpufreq0
      61. cpufrequtils cron-apt dpkg-dev libdpkg-perl eject ethtool gcc-4.7 gcc libstdc++6-4.7-dev g++-4.7 g++ hdparm
      62. ifenslave-2.6 jfsutils libapache2-mod-fcgid libcap-ng0 libcrack2 libcrypt-passwdmd5-perl libjavascript-minifier-perl
      63. libjavascript-minifier-xs-perl libjson-perl libnss-mdns libossp-uuid16 libupsclient1 linux-image-amd64 lsb-release
      64. makepasswd monit mysql-common nginx-common nginx-full nginx nut nut-client nut-server powermgmt-base pm-utils sudo
      65. xfsprogs sdparm smartmontools uuid proftpd-basic tftpd-hpa rsync snmpd gdisk rrdtool quota quotatool watchdog
      66. proftpd-mod-vroot xmlstarlet parted socat rrdcached python3.2-minimal python3.2 python3-minimal python3
      67. python-apt-common python3-apt openmediavault openmediavault-clamav unzip openmediavault-extplorer netatalk
      68. openmediavault-netatalk openmediavault-omvextrasorg openmediavault-plexmediaserver openmediavault-transmissionbt
      69. openmediavault-usbbackup usbutils wireless-tools linux-image-2.6-amd64 user-setup
      70. Aviso de autenticación ignorado.
      71. Extrayendo plantillas para los paquetes: 100%
      72. Preconfigurando paquetes ...
      73. (Leyendo la base de datos ... 34084 ficheros o directorios instalados actualmente.)
      74. Desinstalando openmediavault-website ...
      75. ERROR: Site openmediavault-website does not exist!
      76. apache2: Syntax error on line 203 of /etc/apache2/apache2.conf: Could not open configuration file /etc/apache2/mods-enabled/authnz_external.load: No such file or directory
      77. Action 'configtest' failed.
      78. The Apache error log may have more information.
      79. failed!
      80. dpkg: error al procesar openmediavault-website (--remove):
      81. el subproceso instalado el script post-removal devolvió el código de salida de error 1
      82. configured to not write apport reports
      83. Procesando disparadores para openmediavault ...
      84. Restarting engine daemon ...
      85. Updating file permissions ...
      86. Updating locale files ...
      87. Se encontraron errores al procesar:
      88. openmediavault-website
      89. E: Sub-process /usr/bin/dpkg returned an error code (1)
      Display All
      OMV 3.0.99 (Erasmus)
      HP ProLiant G7 MicroServer N54L AMD Turion II / 4GB
      Kingston SSDNow 200 30GB (OS), 4 x WD red 2TB SATA3 (Data)

      The post was edited 6 times, last by eBomber ().

    • try apt-get remove openmediavault-website
      apt-get -f install
      if that doesn't work, eventually this will help
      If omv-update gives an error ...
      "Glowing days. Don't cry because they are over. Smile because they happened." - Confucius

      Server: 1x 32GB SSD (system) - 5x 2TB Data - 1x 2TB Snapraid-Parity - latest OMV 1.x
      No Support through PM
      Tutorials --- Howto install OMV-Extras --- Upgrade/Update-Problems --- If autoshutdown doesn' -work
    • Thank you for the support Solo0815 !

      If I'm not mistaken, this:

      Source Code

      1. apt-get update && apt-get dist-upgrade && omv-update

      ensures that we are on the latest version 0.5.5X
      and that:

      Source Code

      1. omv-release-upgrad

      is the command that actually update OMV 1.0

      my question is: should not run the second command until the first one does not give any error?
      i.e., trying what you state: If omv-update gives an error ...

      because both commands give me the following error:

      Source Code

      1. ERROR: Site openmediavault-website does not exist!
      2. apache2: Syntax error on line 203 of /etc/apache2/apache2.conf: Could not open configuration file /etc/apache2/mods-enabled/authnz_external.load: No such file or directory
      OMV 3.0.99 (Erasmus)
      HP ProLiant G7 MicroServer N54L AMD Turion II / 4GB
      Kingston SSDNow 200 30GB (OS), 4 x WD red 2TB SATA3 (Data)
    • Here it is:

      Source Code

      1. ​ii openmediavault 0.5.58 all Open network attached storage solution
      2. ii openmediavault-clamav 0.5.10 all OpenMediaVault ClamAV plugin
      3. ii openmediavault-extplorer 0.5.5 all OpenMediaVault eXtplorer plugin
      4. ii openmediavault-keyring 0.2 all GnuPG archive keys of the OpenMediaVault archive
      5. ii openmediavault-netatalk 0.5.7 all OpenMediaVault netatalk (AppleTalk Protocol Suite) plugin
      6. rc openmediavault-nut 0.5.10 all OpenMediaVault Network UPS Tools (NUT) plugin
      7. ii openmediavault-omvextrasorg 0.6.22.1 all OMV-Extras.org Package Repositories for OpenMediaVault
      8. ii openmediavault-plexmediaserver 0.5.5 all OpenMediaVault Plex Media Server plugin
      9. ii openmediavault-transmissionbt 0.5.18 all OpenMediaVault Transmission (BitTorrent client) plugin
      10. ii openmediavault-usbbackup 0.5.10 all OpenMediaVault USB/eSATA backup plugin
      11. rc openmediavault-virtualbox 0.5.16 all VirtualBox plugin for OpenMediaVault.
      12. rH openmediavault-website 0.5.6 all OpenMediaVault website plugin
      Display All
      OMV 3.0.99 (Erasmus)
      HP ProLiant G7 MicroServer N54L AMD Turion II / 4GB
      Kingston SSDNow 200 30GB (OS), 4 x WD red 2TB SATA3 (Data)
    • Thanks tekkb

      I get this error after the first command:

      Source Code

      1. apt-get remove openmediavault-website
      2. Leyendo lista de paquetes... Hecho
      3. Creando árbol de dependencias
      4. Leyendo la información de estado... Hecho
      5. Los paquetes indicados a continuación se instalaron de forma automática y ya no son necesarios.
      6. libdpkg-perl libts-0.0-0 libxfixes3 bzip2 libmpfr4 liblcms1 libcrypt-openssl-random-perl makepasswd libsvga1 g++-4.4 libqt4-network
      7. libxxf86vm1 libcrypt-passwdmd5-perl libgl1-mesa-glx libx86-1 libgomp1 libtimedate-perl g++ libqt4-opengl gcc-4.4 libdirectfb-1.2-9
      8. libdrm2 libsdl1.2debian cpp libgmp3c2 gcc libqtcore4 libxinerama1 libevent-1.4-2 libxmu6 nut libasound2 build-essential dpkg-dev
      9. virtualbox-4.3 libtiff4 libjpeg62 libc6-dev libqtgui4 tsconf libdb4.7 libsysfs2 librpcsecgss3 cpp-4.4 libxdamage1 linux-libc-dev patch
      10. libc-dev-bin libaudio2 libxcursor1 binutils libxt6 libxcb-render-util0 libmng1 make libstdc++6-4.4-dev
      11. Utilice «apt-get autoremove» para eliminarlos.
      12. Los siguientes paquetes se ELIMINARÁN:
      13. openmediavault-website
      14. 0 actualizados, 0 se instalarán, 1 para eliminar y 197 no actualizados.
      15. 2 no instalados del todo o eliminados.
      16. Se liberarán 243 kB después de esta operación.
      17. ¿Desea continuar [S/n]? s
      18. (Leyendo la base de datos ... 34084 ficheros o directorios instalados actualmente.)
      19. Desinstalando openmediavault-website ...
      20. ERROR: Site openmediavault-website does not exist!
      21. apache2: Syntax error on line 203 of /etc/apache2/apache2.conf: Could not open configuration file /etc/apache2/mods-enabled/authnz_external.load: No such file or directory
      22. Action 'configtest' failed.
      23. The Apache error log may have more information.
      24. failed!
      25. dpkg: error al procesar openmediavault-website (--remove):
      26. el subproceso instalado el script post-removal devolvió el código de salida de error 1
      27. configured to not write apport reports
      28. Procesando disparadores para openmediavault ...
      29. Restarting engine daemon ...
      30. Updating file permissions ...
      31. Updating locale files ...
      32. Se encontraron errores al procesar:
      33. openmediavault-website
      34. E: Sub-process /usr/bin/dpkg returned an error code (1)
      Display All


      I tried the second and I get similar errors :|
      OMV 3.0.99 (Erasmus)
      HP ProLiant G7 MicroServer N54L AMD Turion II / 4GB
      Kingston SSDNow 200 30GB (OS), 4 x WD red 2TB SATA3 (Data)
    • Finally updated to 1.0.21 !!

      After multiple attempts and despite the aid of this post and
      Error-with-upgrade-from-0-5-5x-to-1-0-E-Invalid-operation-DPkg-Options-force-con/
      If-omv-update-gives-an-error/
      could not update.

      Finally noting that all the errors came because it lacked a file:
      /etc/apache2/mods-enabled/authnz_external.load

      I copied /etc/apache2/mods-enabled/authnz_default.load as authnz_external.load

      I ran the following command:

      Source Code

      1. apt-get-yes --yes --force --auto --fix-missing-remove-unauthenticated --allow \ - show-upgraded --option DPkg :: Options :: = "- force-confold" \ --option DPkg :: Options :: = "- force-confdef" dist-upgrade

      and finally updated !!

      Reboot, I have access webgui, I set small details and install some plugins and it seems that everything works properly.

      I figure these days have been crazy, it's a big change.
      Thanks again for your great work and the support of the team of moderators.
      OMV 3.0.99 (Erasmus)
      HP ProLiant G7 MicroServer N54L AMD Turion II / 4GB
      Kingston SSDNow 200 30GB (OS), 4 x WD red 2TB SATA3 (Data)